/**
 * date: 2019-11-27 10:23
 * copyright(c) 2015-2019 百川信
 */
package com.bcxin.enums;

/**
 * @author: jianjun.wang
 * @description: 系统名
 * @data: 2019-11-27 10:23
 **/
public enum SysNameEnum {
    /**
     * TODO 上线前要调整这两个地址
     */
    SYS_SAAS("SYS_SAAS", "https://xxx.com.cn"),
    SYS_PSS("SYS_PSS", "http://114.116.164.42:8010/communicate/wps");


    private String key;
    private String value;

    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

    SysNameEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public static String getVal(String key) {
        SysNameEnum[] enums = SysNameEnum.values();
        for (SysNameEnum constants : enums) {
            if (constants.getKey().equalsIgnoreCase(key)) {
                return constants.getValue();
            }
        }
        return null;
    }

}